﻿@using DP.Services.Data.Models
@using DP.Common.Enums
@model List<OfferMaster>

<div class="row">
    @foreach (var m in Model)
    {
        <div class="col-md-4 subscriber-panel-item ">
            <div class="panel panel-default panel-subscriber panel-offer">
                <div class="panel-body">
                    <div class="row">
                        <div class="col-md-8">
                            <h5>@m.Content</h5>
                        </div>
                        <div class="col-md-4 image-col">
                            @if (m.OfferStatusValue == (int)OfferStatus.Active)
                            {
                                <i class="fa fa-tags fa-lg green-glow featured"></i>
                            }
                            else
                            {
                                <i class="fa fa-tags fa-lg red-glow featured"></i>
                            }
                            <span class="label label-default" id="lblNetPrice" style="font-size:18px;border:none;display:block">@m.ActualPrice</span>
                        </div>
                    </div>
                    <div class="row details">
                        <div class="col-md-6">
                            <table>
                                <tr>
                                    <td>Current Price</td>
                                    <td class="padder"></td>
                                    <td>@m.CurrentPrice</td>
                                </tr>
                                <tr>
                                    <td>Discounted Percetage</td>
                                    <td></td>
                                    <td>@m.DiscountedPercentage</td>
                                </tr>
                            </table>
                        </div>
                        <div class="col-md-6">
                            <table cellpadding="2">
                                <tr>
                                    <td>Start Date</td>
                                    <td class="padder"></td>
                                    <td>
                                        <span>@m.StartDateTime.Value.ToString("dd-MMM-yyyy")</span>
                                    </td>
                                </tr>
                                <tr>
                                    <td>End Date</td>
                                    <td class="padder"></td>
                                    <td>
                                        <span>@m.EndDateTime.Value.ToString("dd-MMM-yyyy")</span>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    }
</div>